
// guessRomanNumeralController matches ng-controller="guessRomanNumeralController" in guessRomanNueral.htm
app.controller('guessRomanNumeralController', function ($scope) {

    
    $scope.numerals =  ["I", "II", "III", "IV", "V", "VI", "VII", "VIII", "IX", "X", "XI", "XII", "XIII", "XIV", "XV", "XVI", "XVII", "XVIII", "XIX", "XX", "XXI", "XXII", "XXIII", "XXIV", "XXV", "XXVI", "XXVII", "XXVIII", "XXIX", "XXX", "XXXI", "XXXII", "XXXIII", "XXXIV", "XXXV", "XXXVI", "XXXVII", "XXXVIII", "XXXIX", "XL", "XLI", "XLII", "XLIII", "XLIV", "XLV", "XLVI", "XLVII", "XLVIII", "XLIX", "L", "LI", "LII", "LIII", "LIV", "LV", "LVI", "LVII", "LVIII", "LIX", "LX", "LXI", "LXII", "LXIII", "LXIV", "LXV", "LXVI", "LXVII", "LXVIII", "LXIX", "LXX", "LXXI", "LXXII", "LXXIII", "LXXIV", "LXXV", "LXXVI", "LXXVII", "LXXVIII", "LXXIX", "LXXX", "LXXXI", "LXXXII", "LXXXIII", "LXXXIV", "LXXXV", "LXXXVI", "LXXXVII", "LXXXVIII", "LXXXIX", "XC", "XCI", "XCII", "XCIII", "XCIV", "XCV", "XCVI", "XCVII", "XCVIII", "XCIX", "C"]; 

	//**********************************************************************************************************************	
	// method to check the user's guess
	$scope.verifyGuess = function() {

		$scope.guessIndex = $scope.numerals.indexOf($scope.guess);

		$scope.deviation = $scope.guessIndex - $scope.original;

		if($scope.deviation<0){
			$scope.tries.push({"value": $scope.guess, "hint": "Too low"});
			//alert("Too low");
		}
		else if($scope.deviation>0){
			$scope.tries.push({"value": $scope.guess, "hint": "Too high"});
			//alert("Too high");
		}
		else{
			$scope.tries.push({"value": $scope.guess, "hint": "Got it"});
			//alert("Got it");
			$scope.display = true;
		}
		
    } 
	
	//**********************************************************************************************************************
	// method to start the game
    $scope.initializeGame = function() {
        $scope.guess = null;
        $scope.original = Math.floor(Math.random() * 100);
        $scope.tries = [];
        $scope.deviation = null;
        $scope.display = false;
    }
        
	$scope.displayAnswer = function() {
                 /* code here */
    }
    	
    $scope.initializeGame();  //call method that starts game
	
});

